unit uOwnerDrawState;

interface

uses
{$IFDEF MSWINDOWS}
  Windows,
{$ENDIF}
{$IFDEF VCL}
{$ELSE}
  QStdCtrls,
{$ENDIF}
  Rubies;

procedure Init_OwnerDrawState;

implementation

uses uStrUtils, uDefUtils, uPhi;

procedure Init_OwnerDrawState;
begin
  ap_define_const(mPhi, 'odSelected', INT2FIX(Ord(odSelected)));
  ap_define_const(mPhi, 'odGrayed', INT2FIX(Ord(odGrayed)));
  ap_define_const(mPhi, 'odDisabled', INT2FIX(Ord(odDisabled)));
  ap_define_const(mPhi, 'odChecked', INT2FIX(Ord(odChecked)));
  ap_define_const(mPhi, 'odFocused', INT2FIX(Ord(odFocused)));
  ap_define_const(mPhi, 'odDefault', INT2FIX(Ord(odDefault)));
  ap_define_const(mPhi, 'odHotLight', INT2FIX(Ord(odHotLight)));
  ap_define_const(mPhi, 'odInactive', INT2FIX(Ord(odInactive)));
  ap_define_const(mPhi, 'odNoAccel', INT2FIX(Ord(odNoAccel)));
  ap_define_const(mPhi, 'odNoFocusRect', INT2FIX(Ord(odNoFocusRect)));
  ap_define_const(mPhi, 'odReserved1', INT2FIX(Ord(odReserved1)));
  ap_define_const(mPhi, 'odReserved2', INT2FIX(Ord(odReserved2)));
  ap_define_const(mPhi, 'odComboBoxEdit', INT2FIX(Ord(odComboBoxEdit)));
end;

end.
